<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncClientResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {

        $address = $this->default_address;
        $contact = $this->contact[0] ?? "";


        $relationships = [];
        if (isset($this->mvfs)) {
            $relationships['mvfs'] = SyncFinancialMovementResource::collection($this->mvfs);
        }

        $returnable = [
                "rot_codigo" => $this->route_client[0]->rot_codigo ?? "",
                "pes_codigo" => $this->pes_codigo,
                "pes_nome" => $this->pes_nome,
                "pes_identificador" => $this->pes_identificador,
                "contact" => new SyncContactResource($contact),
                "address" => new SyncAddressResource($address)
            ] + $relationships;

        return $returnable;
    }
}
